#!/bin/sh

# $Id: build.sh,v 1.2 2004/10/09 19:36:26 jfontain Exp $


perl Makefile.PL &&\
make OPTIMIZE='-s -pipe -fPIC -O2 -Wall' -f Makefile Tcl.o &&\

# Linux:
# cc -shared -o tclperl.so.3.1 -s -pipe -fPIC -O2 -Wall tclperl.c tclthread.c `perl -MExtUtils::Embed -e ccopts -e ldopts` Tcl.o
# with Tcl stubs enabled:
cc -shared -o tclperl.so.3.1 -s -pipe -fPIC -O2 -Wall -DUSE_TCL_STUBS tclperl.c tclthread.c `perl -MExtUtils::Embed -e ccopts -e ldopts` /usr/lib/libtclstub`echo 'puts $tcl_version' | tclsh`.a Tcl.o

# Solaris:
# cc -shared -mimpure-text -o tclperl.so.3.1 -s -fPIC -O2 -Wall tclperl.c tclthread.c `perl -MExtUtils::Embed -e ccopts -e ldopts` Tcl.o

# Windows (untested):
# cl -MD -DWIN32 -DUSE_TCL_STUBS -I"c:\progra~1\tcl\include" -I"d:\perl\lib\CORE" tclperl.c tclthread.c -link -dll -out:tclperl30.dll -libpath:"c:\progra~1\tcl\lib" d:\perl\lib\CORE\perl58.lib Tcl.o
